Bug 120552 - error updating to setools-1.2.1-6
error updating to setools-1.2.1-6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
: 120943 (view as bug list)
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-04-10 12:58 EDT by J. Scott Amort
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-28 16:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Scott Amort 2004-04-10 12:58:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Epiphany/1.1.12

Description of problem:
I get the following error when updating setools
(i.e. rpm -Uvh setools-1.2.1-6.i386.rpm):

Preparing...               
########################################### [100%]
   1:setools               
########################################### [100%]
error: unpacking of archive failed on file /usr/bin/seuser: cpio:
lsetfilecon failed - Invalid argument
W: Some errors occurred while running transaction

Version-Release number of selected component (if applicable):
setools-1.2.1-6

How reproducible:
Always

Steps to Reproduce:
1. download setools-1.2.1-6.i386.rpm
2. rpm -Uvh setools-1.2.1-6.i386.rpm
    

Actual Results:  error: unpacking of archive failed on file
/usr/bin/seuser: cpio: lsetfilecon failed - Invalid argument
W: Some errors occurred while running transaction

Expected Results:  no errors should have occurred

Additional info:
Comment 1 Bill Nottingham 2004-04-15 11:46:31 EDT
*** Bug 120943 has been marked as a duplicate of this bug. ***
Comment 2 Dax Kelson 2004-04-15 17:47:08 EDT
I can't install Rawhide 04/14 because of this error.

BTW, setools 1.3 just came out today.
Comment 3 J. Scott Amort 2004-04-16 03:12:46 EDT
Same problem with 1.2.1-7.
Comment 4 J. Scott Amort 2004-04-20 03:35:31 EDT
Same problem with 1.3-2.
Comment 5 Daniel Walsh 2004-04-20 06:41:39 EDT
Do you have a seuser.se or seuser.fc in your policy directory?

If you do remove them and rebuild policy, then try the install.

Dan
Comment 6 J. Scott Amort 2004-04-21 10:49:32 EDT
I don't have those files in the policy directory.  However, I tried a
yum update instead of the rpm -Uvh (or apt-get, which is how I was
obtaining the rpm), and it worked fine.  Not sure why this would make
a difference, but all is well now!

Note You need to log in before you can comment on or make changes to this bug.